%global __requires_exclude typelib\\(LaunchpadIntegration\\)

%define url_ver	%(echo %{version} | cut -d. -f1,2)

Name:		menulibre
Epoch:		1
Version:	2.1.3
Release:	%mkrel 1
Summary:	Advanced menu editor
License:	GPLv3
Group:		Graphical desktop/Other
Url:		https://launchpad.net/menulibre
Source0:	https://launchpad.net/menulibre/%{url_ver}/%{version}/+download/menulibre-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	intltool
BuildRequires:	locales
BuildRequires:	python3
BuildRequires:	python3-distutils-extra
BuildRequires:	python3-gobject3
Requires:	python3-gobject3
Requires:	python3-psutil

%description
An advanced menu editor that provides modern features in a clean, easy-to-use
interface.

%prep
%setup -q

%build
#nothing

%install
LC_ALL=UTF-8 python3 setup.py install \
	--root=%{buildroot}

%find_lang %{name} --with-help

%files -f %{name}.lang
%doc AUTHORS NEWS README
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_iconsdir}/hicolor/*/apps/%{name}.svg
%{_mandir}/man?/%{name}.*
%{python3_sitelib}/%{name}*/
%{python3_sitelib}/%{name}-%{version}-py%{python3_version}.egg-info


%changelog
* Wed Dec 28 2016 wally <wally> 1:2.1.3-1.mga6
+ Revision: 1078519
- new version 2.1.3

* Sat Feb 20 2016 umeabot <umeabot> 1:2.1.2-2.mga6
+ Revision: 971807
- Mageia 6 Mass Rebuild

* Tue Oct 20 2015 wally <wally> 1:2.1.2-1.mga6
+ Revision: 893024
- new version 2.1.2

* Thu Oct 08 2015 wally <wally> 1:2.1.1-2.mga6
+ Revision: 887649
- rebuild for python 3.5

* Sat Sep 26 2015 wally <wally> 1:2.1.1-1.mga6
+ Revision: 883795
- new version 2.1.1

* Sun Sep 20 2015 wally <wally> 1:2.1.0-2.mga6
+ Revision: 881935
- update file list to make rpm 4.13 happy

* Wed Aug 26 2015 wally <wally> 1:2.1.0-1.mga6
+ Revision: 869755
- new version 2.1.0

* Wed Oct 15 2014 umeabot <umeabot> 1:2.0.6-2.mga5
+ Revision: 744546
- Second Mageia 5 Mass Rebuild

* Wed Oct 01 2014 wally <wally> 1:2.0.6-1.mga5
+ Revision: 733897
- new version 2.0.6
- drop unneeded libgirepository-devel BR

* Sat Sep 27 2014 tv <tv> 1:2.0.5-3.mga5
+ Revision: 727231
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1:2.0.5-2.mga5
+ Revision: 682359
- Mageia 5 Mass Rebuild

  + tv <tv>
    - use %%global for req/prov exclude
    - autoconvert to new prov/req excludes

  + ovitters <ovitters>
    - add gobject-introspection BR for typelib auto BR

* Tue Aug 12 2014 wally <wally> 1:2.0.5-1.mga5
+ Revision: 661967
- new version 2.0.5

* Sat May 31 2014 pterjan <pterjan> 1:2.0.4-3.mga5
+ Revision: 629692
- Rebuild for new Python

* Sat May 31 2014 pterjan <pterjan> 1:2.0.4-2.mga5
+ Revision: 629537
- Rebuild for new Python

* Wed May 21 2014 wally <wally> 1:2.0.4-1.mga5
+ Revision: 624776
- new version 2.0.4

* Tue Mar 11 2014 wally <wally> 1:2.0.3-1.mga5
+ Revision: 602490
- new version 2.0.3

* Fri Feb 14 2014 wally <wally> 1:2.0.1-1.mga5
+ Revision: 591209
- new version 2.0.1
- add epoch due to versioning scheme change
- switch to python3 and clean requires

* Tue Oct 22 2013 umeabot <umeabot> 13.04.17-4.mga4
+ Revision: 542792
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 13.04.17-3.mga4
+ Revision: 497875
- Rebuild to add different pythonegg provides for python 2 and 3

* Mon Aug 19 2013 wally <wally> 13.04.17-2.mga4
+ Revision: 467598
- fix find_lang macro usage
- require python-gi

* Tue May 28 2013 wally <wally> 13.04.17-1.mga4
+ Revision: 429520
- new version 13.04.17
- require python-pyxdg

* Thu May 23 2013 wally <wally> 13.01.4-1.mga4
+ Revision: 425048
- new version 13.01.4

* Sat Jan 12 2013 umeabot <umeabot> 12.11.19-3.mga3
+ Revision: 359969
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 17 2012 wally <wally> 12.11.19-2.mga3
+ Revision: 332143
- require yelp for help

* Mon Dec 17 2012 wally <wally> 12.11.19-1.mga3
+ Revision: 332138
- new version 12.11.19

* Sat Sep 08 2012 wally <wally> 12.08.12-1.mga3
+ Revision: 290424
- imported package menulibre

